package com.neusoft.smart.pos.inventory.persistent.mapper;

import com.neusoft.smart.pos.inventory.persistent.domain.InventoryGoodsLimitBean;
import com.neusoft.smart.pos.inventory.persistent.domain.InventoryGoodsLimitBeanExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface InventoryGoodsLimitBeanMapper {
    
    int countByExample(InventoryGoodsLimitBeanExample example);
    
    int deleteByExample(InventoryGoodsLimitBeanExample example);
    
    int deleteByPrimaryKey(Integer id);
    
    int insert(InventoryGoodsLimitBean record);
    
    int insertSelective(InventoryGoodsLimitBean record);
    
    List<InventoryGoodsLimitBean> selectByExampleWithBLOBs(InventoryGoodsLimitBeanExample example);
    
    List<InventoryGoodsLimitBean> selectByExample(InventoryGoodsLimitBeanExample example);
    
    InventoryGoodsLimitBean selectByPrimaryKey(Integer id);
    
    int updateByExampleSelective(@Param("record") InventoryGoodsLimitBean record, @Param("example") InventoryGoodsLimitBeanExample example);
    
    int updateByExampleWithBLOBs(@Param("record") InventoryGoodsLimitBean record, @Param("example") InventoryGoodsLimitBeanExample example);
    
    int updateByExample(@Param("record") InventoryGoodsLimitBean record, @Param("example") InventoryGoodsLimitBeanExample example);
    
    int updateByPrimaryKeySelective(InventoryGoodsLimitBean record);
    
    int updateByPrimaryKeyWithBLOBs(InventoryGoodsLimitBean record);
    
    int updateByPrimaryKey(InventoryGoodsLimitBean record);
    
    void batchInsert(@Param("items") List<InventoryGoodsLimitBean> items);
}